package utilities
{
import flash.geom.Rectangle;
import spark.primitives.Rect;
import spark.primitives.supportClasses.StrokedElement;
import mx.graphics.SolidColorStroke;
import mx.core.IVisualElementContainer;

public class RectObject
{
    private var rectPrimitive:Rect = new Rect();
    
    public function RectObject(rect:Rectangle = null)
    {
        if (rect)
            this.rect = rect;
        rectPrimitive.stroke = new SolidColorStroke(0xff0000);
    }
    
    public function get y():Number
    {
        return rect.x;
    }

    public function set y(value:Number):void
    {
        rectPrimitive.x = value;
    }

    public function get x():Number
    {
        return rect.x;
    }
    public function set x(value:Number):void
    {
        rectPrimitive.x = value;
    }
    
    public function get width():Number
    {
        return rect.width;
    }
    public function set width(value:Number):void
    {
        rectPrimitive.width = value;
    }
    
    public function get height():Number
    {
        return rect.height;
    }
    public function set height(value:Number):void
    {
        rectPrimitive.height = value;
    }
    
    public function get rect():Rectangle
    {
        return new Rectangle(rectPrimitive.x, rectPrimitive.y, rectPrimitive.width, rectPrimitive.height);
    }
    public function set rect(value:Rectangle):void
    {
        rectPrimitive.x = value.x;
        rectPrimitive.y = value.y;
        rectPrimitive.width = value.width;
        rectPrimitive.height = value.height;
    }
    
    public function get parent():IVisualElementContainer
    {
        return parent;
    }
    public function set parent(value:IVisualElementContainer):void
    {
        if (value)
            value.addElement(rectPrimitive);
        else if (parent)
            parent.removeElement(rectPrimitive);
    }
    
    
}
}